Subject: Re: [net-next v2 3/3] dt-bindings: net: adin1110: Add docs

From: Andrew Lunn <[email-masked]>
Date: Mon, 25 Jul 2022 21:52:10 +0200

> You had phy nodes here, but they were not replaced with the phy-handle.
> No ethernet-ports or mdios with phy?

Since this is integrated silicon, much of that is not required. There
is a fixed relationship between the MAC and the PHY, so phy-handle is
pointless. There is no need to describe the MDIO bus, because nothing
can change.  phy-mode is pointless, since it can only be internal.

ethernet-ports might be useful, if you want to use two different MAC
addresses. However, with Ethernet switches, you generally use the same
MAC address on all ports.

So i don't see a need for any of these properties.

   Andrew